Package org.apache.wiki

# Enum Class ProductUpdateChecker.Status

java.lang.Object
java.lang.Enum<ProductUpdateChecker.Status>
org.apache.wiki.ProductUpdateChecker.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<ProductUpdateChecker.Status>`, `Constable`

Enclosing class:
  ProductUpdateChecker

public static enum ProductUpdateChecker.Status extends Enum<ProductUpdateChecker.Status>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`UNKNOWN`
`UP_TO_DATE`
`UPDATE_AVAILABLE`

## Method Summary

Modifier and Type
Method
Description
`static ProductUpdateChecker.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProductUpdateChecker.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final ProductUpdateChecker.Status UNKNOWN

### UP_TO_DATE

public static final ProductUpdateChecker.Status UP_TO_DATE

### UPDATE_AVAILABLE

public static final ProductUpdateChecker.Status UPDATE_AVAILABLE

## Method Details

### values

public static ProductUpdateChecker.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProductUpdateChecker.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null